%define name cvsadmin
%define version 0.7.4
%define release 1mdk

Version: %{version}
Summary: Tool to administer users of a CVS repository
Name: %{name}
Release: %{release}
License: GPL
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
URL: http://www.cooptel.qc.ca/~limitln/cvsadmin/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
cvsadmin is a simple program to administrate users of a CVS repository. 

It currently allows you to easily
- add users
- remove users
- change users passwords
- show existing users
- rename users
- change system users

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n cvsadmin

%build

make
cd src/gcvsadmin_src/
make

%install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd src
install -m 755 cvsadmin $RPM_BUILD_ROOT%{_bindir}/
install -m 755 gcvsadmin_src/gcvsadmin $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING FAQ HISTORY Makefile README THANKS VERSION
%{_bindir}/*

%changelog
* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- updated to 0.7.4

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk 
- rebuild

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7

* Thu Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- new in contribs
